ru.bitel.bgbilling.modules.inet.api.server.event

## Class InetAccountingPeriodModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent
    - - ru.bitel.bgbilling.modules.inet.api.server.event.InetAccountingPeriodModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetAccountingPeriodModifiedEvent
      extends PoolEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InetAccountingPeriod` | `newItem`
    `protected InetAccountingPeriod` | `oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetAccountingPeriodModifiedEvent()`
    `` | `InetAccountingPeriodModifiedEvent(int moduleId, int contractId, int userId, InetAccountingPeriod oldItem, InetAccountingPeriod newItem)`
    `` | `InetAccountingPeriodModifiedEvent(PoolEventPublisher<InetAccountingPeriodModifiedEvent> publisher, int contractId, int userId, InetAccountingPeriod oldItem, InetAccountingPeriod newItem)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAccountingPeriod` | `getNewItem()`
    `InetAccountingPeriod` | `getOldItem()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### oldItem

          protected final InetAccountingPeriod oldItem

    - #### newItem

          protected final InetAccountingPeriod newItem

  - ### Constructor Detail

    - #### InetAccountingPeriodModifiedEvent

          protected InetAccountingPeriodModifiedEvent()

    - #### InetAccountingPeriodModifiedEvent

          public InetAccountingPeriodModifiedEvent(PoolEventPublisher<InetAccountingPeriodModifiedEvent> publisher,
                                                   int contractId,
                                                   int userId,
                                                   InetAccountingPeriod oldItem,
                                                   InetAccountingPeriod newItem)

    - #### InetAccountingPeriodModifiedEvent

          public InetAccountingPeriodModifiedEvent(int moduleId,
                                                   int contractId,
                                                   int userId,
                                                   InetAccountingPeriod oldItem,
                                                   InetAccountingPeriod newItem)

  - ### Method Detail

    - #### getOldItem

          public InetAccountingPeriod getOldItem()

    - #### getNewItem

          public InetAccountingPeriod getNewItem()